Package org.eclipse.zest.layouts.interfaces

# Class GraphStructureListener.Stub

java.lang.Object
org.eclipse.zest.layouts.interfaces.GraphStructureListener.Stub

All Implemented Interfaces:
  `GraphStructureListener`

Enclosing interface:
  `GraphStructureListener`

public static class GraphStructureListener.Stub extends Object implements GraphStructureListener

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.zest.layouts.interfaces.GraphStructureListener

`GraphStructureListener.Stub`

## Constructor Summary

Constructors
Constructor
Description
`Stub()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`connectionAdded(LayoutContext context, ConnectionLayout connection)`
This method is called whenever a connection is added to a context.
`boolean`
`connectionRemoved(LayoutContext context, ConnectionLayout connection)`
This method is called whenever a connection is removed from a context.
`boolean`
`nodeAdded(LayoutContext context, NodeLayout node)`
This method is called whenever a node is added to a context.
`boolean`
`nodeRemoved(LayoutContext context, NodeLayout node)`
This method is called whenever a node is removed from a context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stub

public Stub()

## Method Details

### nodeAdded

public boolean nodeAdded(LayoutContext context, NodeLayout node)
Description copied from interface: `GraphStructureListener`
This method is called whenever a node is added to a context. No separate events will be fired for eventual connections adjacent to the added node. If true is returned, it means that the receiving listener has intercepted this event. Intercepted events will not be passed to the rest of the listeners. If the event is not intercepted by any listener, `applyLayout(boolean)` will be called on the context's main algorithm.

Specified by:
  `nodeAdded` in interface `GraphStructureListener`
Parameters:
  `context` - the layout context that fired the event
  `node` - the added node
Returns:
  true if no further operations after this event are required

### nodeRemoved

public boolean nodeRemoved(LayoutContext context, NodeLayout node)
Description copied from interface: `GraphStructureListener`
This method is called whenever a node is removed from a context. No separate events will be fired for eventual connections adjacent to the removed node. If true is returned, it means that the receiving listener has intercepted this event. Intercepted events will not be passed to the rest of the listeners. If the event is not intercepted by any listener, `applyLayout(boolean)` will be called on the context's main algorithm.

Specified by:
  `nodeRemoved` in interface `GraphStructureListener`
Parameters:
  `context` - the context that fired the event
  `node` - the removed node
Returns:
  true if no further operations after this event are required

### connectionAdded

public boolean connectionAdded(LayoutContext context, ConnectionLayout connection)
Description copied from interface: `GraphStructureListener`
This method is called whenever a connection is added to a context. It can be assumed that both source and target nodes of the added connection already exist in the context. This method will be called only if both nodes connected by added connection lay directly in the node container owned by the notifying layout context. If true is returned, it means that the receiving listener has intercepted this event. Intercepted events will not be passed to the rest of the listeners. If the event is not intercepted by any listener, `applyLayout(boolean)` will be called on the context's main algorithm.

Specified by:
  `connectionAdded` in interface `GraphStructureListener`
Parameters:
  `context` - the context that fired the event
  `connection` - the added connection
Returns:
  true if no further operations after this event are required

### connectionRemoved

public boolean connectionRemoved(LayoutContext context, ConnectionLayout connection)
Description copied from interface: `GraphStructureListener`
This method is called whenever a connection is removed from a context. It can be assumed that both source and target nodes of the removed connection still exist in the context and will not be removed along with it. This method will be called only if both nodes connected by removed connection lay directly in the node container owned by the notifying layout context. If true is returned, it means that the receiving listener has intercepted this event. Intercepted events will not be passed to the rest of the listeners. If the event is not intercepted by any listener, `applyLayout(boolean)` will be called on the context's main algorithm.

Specified by:
  `connectionRemoved` in interface `GraphStructureListener`
Parameters:
  `context` - the context that fired the event
  `connection` - the added connection
Returns:
  true if no further operations after this event are required